Loading...
Searching...
No Matches
stdex::parser::http_header Class Reference

Test for HTTP header. More...

`#include <stdex/parser.hpp>`

Inheritance diagram for stdex::parser::http_header:

## Public Member Functions

virtual bool | match (_In_reads_or_z_(end) const char *text, size_t start=0, size_t end=SIZE_MAX, int flags=match_default)
virtual void | invalidate ()
Public Member Functions inherited from stdex::parser::basic_parser< char >
| basic_parser (const std::locale &locale=std::locale())
bool | search (_In_reads_or_z_(end) const char *text, size_t start=0, size_t end=SIZE_MAX, int flags=match_default)
bool | match (const std::basic_string< char, _Traits, _Ax > &text, size_t start=0, size_t end=SIZE_MAX, int flags=match_default)

## Public Attributes

stdex::interval< size_t > | name
stdex::interval< size_t > | value
Public Attributes inherited from stdex::parser::basic_parser< char >
stdex::interval< size_t > | interval
| Region of the last match.

## Protected Attributes

http_line_break | m_line_break
Protected Attributes inherited from stdex::parser::basic_parser< char >
std::locale | m_locale

## Detailed Description

Test for HTTP header.

## Member Function Documentation

## invalidate()

virtual void stdex::parser::http_header::invalidate | ( |  | ) |

inlinevirtual

Reimplemented from stdex::parser::basic_parser< char >.

## match()

virtual bool stdex::parser::http_header::match | ( | _In_reads_or_z_(end) const char * | text,
|  | size_t | start = `0`,
|  | size_t | end = `SIZE_MAX`,
|  | int | flags = `match_default`
| ) |  |

inlinevirtual

Implements stdex::parser::basic_parser< char >.

The documentation for this class was generated from the following file:

- include/stdex/parser.hpp